#include "ruby.h"

#include "caml/callback.h"
     
void initcaml(void) {
  char *dummy_argv[] = {0};

  caml_startup(dummy_argv);
}


VALUE OcamlMatrix = Qnil; // set up the Ruby namespace
    
void Init_ocamlmatrix();


int interm_matrix_mul(*a, *b) {
  static value *f = NULL;

  f = caml_named_value("ocaml_matrix_mul");
  if (f == NULL)
    return -1;

  value r_caml;
  r_caml = callback(*f, a, b);

}

